Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 36284 - consider merging of contexts according to explicit merging tags
consider merging of contexts according to explicit merging tags
Status: RESOLVED WONTFIX
Product: contrib
Classification: Unclassified
Component: Registry
3.x
All All
: P2 (vote)
: 6.x
Assigned To: Jiri Skrivanek
issues@contrib
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-25 14:55 UTC by David Konecny
Modified: 2008-12-22 13:53 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Konecny 2003-09-25 14:55:08 UTC
At the moment merged context merges contexts
according to order in which they are specified.
The higher layers and their content have
precedence over the lower ones.

Consider to add explicit declarative support for
overriding of bindings/attributes/contexts and
merging them according to it instead of order.

The expected advantage would be clear information
that somebody overrides something. At the moment
this is defined by module dependencies and it is
not obvious to module writers. Also it could
improve diagnostic of conflicts and potential
problems.
Comment 1 Antonin Nebuzelsky 2008-04-15 17:13:53 UTC
Reassigning to new module owner jskrivanek.
Comment 2 David Konecny 2008-04-15 22:17:20 UTC
Registry module is obsolete.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo